"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SUFFIXES = ['', '.js', '.ts', '.vue', '.jsx', '.tsx'];
function resolvePathFrom(path, from) {
    var finalPath = '';
    SUFFIXES.forEach(function (s) {
        if (!finalPath.length) {
            try {
                finalPath = require.resolve("" + path + s, {
                    paths: from
                });
            }
            catch (e) {
                // eat the error
            }
        }
        if (!finalPath.length) {
            try {
                finalPath = require.resolve(path + "/index" + s, {
                    paths: from
                });
            }
            catch (e) {
                // eat the error
            }
        }
    });
    if (!finalPath.length) {
        throw new Error("Neither '" + path + ".vue' nor '" + path + ".js(x)' or '" + path + "/index.js(x)' or '" + path + "/index.ts(x)' could be found in '" + from + "'");
    }
    return finalPath;
}
exports.default = resolvePathFrom;
